/* 3/24/08 meanbyof.txt is offerno.txt but modified to give mean res w's by the offer # *among*
groups w/ 1 offer to acceptace, w/ 2, w/ 3, etc. for the referee. */

/* 9/25/06 Working on graphs of the 20 longest Esearch offer # environments' wres profiles. */

/* 8/31/06 offerno.txt is r1stlast.txt but adds the Eoffer# when searching optimally to the
calculations. */


closeall;
library pgraph;
graphset;
output file = c:\schotter\rwnew.out reset;

/*
load rdata[1096,17] = c:\Schotter\waitcost.txt;
n = rows(rdata);

/* First find out how many of each final offer #. Noffers is a vector of # offers containing one entry for
each completed search. */
Noffers = 0;

i = 1;
do until i > n-1; @ n-1 = 1095 @
  if rdata[i+1,10] <= 1;
    if Noffers[1,1] <= 0;
      Noffers = rdata[i,10];
      else;
      Noffers = Noffers | rdata[i,10];
    endif;
  endif;
  i = i + 1;
endo;

/* Last trial ends at 1096 w/ 1st offer. */
Noffers = Noffers | 1;
Noffwc = Noffers;

n1 = selif(noffers, noffers .<= 1);
n2 = selif(noffers, noffers .> 1 .AND noffers .<= 2 );
n3 = selif(noffers, noffers .> 2 .AND noffers .<= 3 );
n4 = selif(noffers, noffers .> 3 .AND noffers .<= 4 );
/* call the residual the 5+ category */
print "Number of searches"; print rows(noffers);
print "Number of 1 offer searches"; print rows(n1);
print "Number of 2 offer searches"; print rows(n2);
print "Number of 3 offer searches"; print rows(n3);
print "Number of 4 offer searches"; print rows(n4);
print "Number of 5+ offer searches"; print (rows(noffers) - rows(n1) - rows(n2) - rows(n3) - rows(n4));


/* Next use similar but modified code to identify each search as a 1 offer, 2 offer, 3 offer search etc.
AND keep track of the order and value of each stated reservation wage for calculating means by offer
# in the search and by # of offers. */

offrdata = zeros(n-1,1);	@ will be a vector denoting final # offers in each search to append to rdata @

i = 1;
do until i > n-1;	@ n-1 = 1095 @
  if rdata[i+1,10] <= 1;
    ii = i+1 -  rdata[i,10];
    do until ii > i;			@ do for each of the offers in this search @
      offrdata[ii,1] = rdata[i,10];
      ii = ii + 1;
    endo;
  endif;
  i = i + 1;
endo;

offrdata = offrdata | 1;		@ last trial is a single offer trial @

/* Make and print a matrix of offer #, total # offers in trial, & stated res w */
offrdata = rdata[.,10] ~ offrdata ~ rdata[.,13];
@print offrdata;@

oneofr = selif(offrdata, offrdata[.,2] .eq 1);
print "Searches with 1 offer"; print rows(oneofr);
twoofrs = selif(offrdata, offrdata[.,2] .eq 2);
print "Searches with 2 offers"; print rows(twoofrs)/2;
threofrs = selif(offrdata, offrdata[.,2] .eq 3);
print "Searches with 3 offers"; print rows(threofrs)/3;
fourofrs = selif(offrdata, offrdata[.,2] .eq 4);
print "Searches with 4 offers"; print rows(fourofrs)/4;

fivepls = selif(offrdata, offrdata[.,2] .gt 4);


/* Making table entries */
print "Descriptives for 1 offer res w"; print "Mean"; print meanc(oneofr[.,3]);
print "Median"; print median(oneofr[.,3]); print "Std dev"; print stdc(oneofr[.,3]);
print "Min"; print minc(oneofr[.,3]); print "Max"; print maxc(oneofr[.,3]);


o21 = selif(twoofrs, twoofrs[.,1] .eq 1);
print "Descriptives for 2 offers 1st res w"; print "Mean"; print meanc(o21[.,3]);
print "Median"; print median(o21[.,3]); print "Std dev"; print stdc(o21[.,3]);
print "Min"; print minc(o21[.,3]); print "Max"; print maxc(o21[.,3]);

o22 = selif(twoofrs, twoofrs[.,1] .eq 2);
print "Descriptives for 2 offers 2nd res w"; print "Mean"; print meanc(o22[.,3]);
print "Median"; print median(o22[.,3]); print "Std dev"; print stdc(o22[.,3]);
print "Min"; print minc(o22[.,3]); print "Max"; print maxc(o22[.,3]);


o31 = selif(threofrs, threofrs[.,1] .eq 1);
print "Descriptives for 3 offers 1st res w"; print "Mean"; print meanc(o31[.,3]);
print "Median"; print median(o31[.,3]); print "Std dev"; print stdc(o31[.,3]);
print "Min"; print minc(o31[.,3]); print "Max"; print maxc(o31[.,3]);

o32 = selif(threofrs, threofrs[.,1] .eq 2);
print "Descriptives for 3 offers 2nd res w"; print "Mean"; print meanc(o32[.,3]);
print "Median"; print median(o32[.,3]); print "Std dev"; print stdc(o32[.,3]);
print "Min"; print minc(o32[.,3]); print "Max"; print maxc(o32[.,3]);

o33 = selif(threofrs, threofrs[.,1] .eq 3);
print "Descriptives for 3 offers 3rd res w"; print "Mean"; print meanc(o33[.,3]);
print "Median"; print median(o33[.,3]); print "Std dev"; print stdc(o33[.,3]);
print "Min"; print minc(o33[.,3]); print "Max"; print maxc(o33[.,3]);


o41 = selif(fourofrs, fourofrs[.,1] .eq 1);
print "Descriptives for 4 offers 1st res w"; print "Mean"; print meanc(o41[.,3]);
print "Median"; print median(o41[.,3]); print "Std dev"; print stdc(o41[.,3]);
print "Min"; print minc(o41[.,3]); print "Max"; print maxc(o41[.,3]);

o42 = selif(fourofrs, fourofrs[.,1] .eq 2);
print "Descriptives for 4 offers 2nd res w"; print "Mean"; print meanc(o42[.,3]);
print "Median"; print median(o42[.,3]); print "Std dev"; print stdc(o42[.,3]);
print "Min"; print minc(o42[.,3]); print "Max"; print maxc(o42[.,3]);

o43 = selif(fourofrs, fourofrs[.,1] .eq 3);
print "Descriptives for 4 offers 3rd res w"; print "Mean"; print meanc(o43[.,3]);
print "Median"; print median(o43[.,3]); print "Std dev"; print stdc(o43[.,3]);
print "Min"; print minc(o43[.,3]); print "Max"; print maxc(o43[.,3]);

o44 = selif(fourofrs, fourofrs[.,1] .eq 4);
print "Descriptives for 4 offers 4th res w"; print "Mean"; print meanc(o44[.,3]);
print "Median"; print median(o44[.,3]); print "Std dev"; print stdc(o44[.,3]);
print "Min"; print minc(o44[.,3]); print "Max"; print maxc(o44[.,3]);


o5p1 = selif(fivepls, fivepls[.,1] .eq 1);
print "Descriptives for 5 offers 1st res w"; print "Mean"; print meanc(o5p1[.,3]);
print "Median"; print median(o5p1[.,3]); print "Std dev"; print stdc(o5p1[.,3]);
print "Min"; print minc(o5p1[.,3]); print "Max"; print maxc(o5p1[.,3]);

o5p2 = selif(fivepls, fivepls[.,1] .eq 2);
print "Descriptives for 5 offers 2nd res w"; print "Mean"; print meanc(o5p2[.,3]);
print "Median"; print median(o5p2[.,3]); print "Std dev"; print stdc(o5p2[.,3]);
print "Min"; print minc(o5p2[.,3]); print "Max"; print maxc(o5p2[.,3]);

o5p3 = selif(fivepls, fivepls[.,1] .eq 3);
print "Descriptives for 5 offers 3rd res w"; print "Mean"; print meanc(o5p3[.,3]);
print "Median"; print median(o5p3[.,3]); print "Std dev"; print stdc(o5p3[.,3]);
print "Min"; print minc(o5p3[.,3]); print "Max"; print maxc(o5p3[.,3]);

o5p4 = selif(fivepls, fivepls[.,1] .eq 4);
print "Descriptives for 5 offers 4th res w"; print "Mean"; print meanc(o5p4[.,3]);
print "Median"; print median(o5p4[.,3]); print "Std dev"; print stdc(o5p4[.,3]);
print "Min"; print minc(o5p4[.,3]); print "Max"; print maxc(o5p4[.,3]);

o5p5 = selif(fivepls, fivepls[.,1] .eq 5);
print "Descriptives for 5 offers 5th res w"; print "Mean"; print meanc(o5p5[.,3]);
print "Median"; print median(o5p5[.,3]); print "Std dev"; print stdc(o5p5[.,3]);
print "Min"; print minc(o5p5[.,3]); print "Max"; print maxc(o5p5[.,3]);
*/



/*
load rdata[1517,17] = c:\schotter\nowaitco.txt;
n = rows(rdata);

/* First find out how many of each final offer #. Noffers is a vector of # offers containing one entry for
each completed search. */
Noffers = 0;

i = 1;
do until i > n-1; @ n-1 = 1516 @
  if rdata[i+1,10] <= 1;
    if Noffers[1,1] <= 0;
      Noffers = rdata[i,10];
      else;
      Noffers = Noffers | rdata[i,10];
    endif;
  endif;
  i = i + 1;
endo;

/* Last trial ends at 1517 w/ 1st offer. */
Noffers = Noffers | 1;
Noffwc = Noffers;

n1 = selif(noffers, noffers .<= 1);
n2 = selif(noffers, noffers .> 1 .AND noffers .<= 2 );
n3 = selif(noffers, noffers .> 2 .AND noffers .<= 3 );
n4 = selif(noffers, noffers .> 3 .AND noffers .<= 4 );
/* call the residual the 5+ category */
print "Number of searches"; print rows(noffers);
print "Number of 1 offer searches"; print rows(n1);
print "Number of 2 offer searches"; print rows(n2);
print "Number of 3 offer searches"; print rows(n3);
print "Number of 4 offer searches"; print rows(n4);
print "Number of 5+ offer searches"; print (rows(noffers) - rows(n1) - rows(n2) - rows(n3) - rows(n4));


/* Next use similar but modified code to identify each search as a 1 offer, 2 offer, 3 offer search etc.
AND keep track of the order and value of each stated reservation wage for calculating means by offer
# in the search and by # of offers. */

offrdata = zeros(n-1,1);	@ will be a vector denoting final # offers in each search to append to rdata @

i = 1;
do until i > n-1;	@ n-1 = 1516 @
  if rdata[i+1,10] <= 1;
    ii = i+1 -  rdata[i,10];
    do until ii > i;			@ do for each of the offers in this search @
      offrdata[ii,1] = rdata[i,10];
      ii = ii + 1;
    endo;
  endif;
  i = i + 1;
endo;

offrdata = offrdata | 1;		@ last trial is a single offer trial @

/* Make and print a matrix of offer #, total # offers in trial, & stated res w */
offrdata = rdata[.,10] ~ offrdata ~ rdata[.,13];
@print offrdata;@

oneofr = selif(offrdata, offrdata[.,2] .eq 1);
print "Searches with 1 offer"; print rows(oneofr);
twoofrs = selif(offrdata, offrdata[.,2] .eq 2);
print "Searches with 2 offers"; print rows(twoofrs)/2;
threofrs = selif(offrdata, offrdata[.,2] .eq 3);
print "Searches with 3 offers"; print rows(threofrs)/3;
fourofrs = selif(offrdata, offrdata[.,2] .eq 4);
print "Searches with 4 offers"; print rows(fourofrs)/4;

fivepls = selif(offrdata, offrdata[.,2] .gt 4);


/* Making table entries */
print "Descriptives for 1 offer res w"; print "Mean"; print meanc(oneofr[.,3]);
print "Median"; print median(oneofr[.,3]); print "Std dev"; print stdc(oneofr[.,3]);
print "Min"; print minc(oneofr[.,3]); print "Max"; print maxc(oneofr[.,3]);


o21 = selif(twoofrs, twoofrs[.,1] .eq 1);
print "Descriptives for 2 offers 1st res w"; print "Mean"; print meanc(o21[.,3]);
print "Median"; print median(o21[.,3]); print "Std dev"; print stdc(o21[.,3]);
print "Min"; print minc(o21[.,3]); print "Max"; print maxc(o21[.,3]);

o22 = selif(twoofrs, twoofrs[.,1] .eq 2);
print "Descriptives for 2 offers 2nd res w"; print "Mean"; print meanc(o22[.,3]);
print "Median"; print median(o22[.,3]); print "Std dev"; print stdc(o22[.,3]);
print "Min"; print minc(o22[.,3]); print "Max"; print maxc(o22[.,3]);


o31 = selif(threofrs, threofrs[.,1] .eq 1);
print "Descriptives for 3 offers 1st res w"; print "Mean"; print meanc(o31[.,3]);
print "Median"; print median(o31[.,3]); print "Std dev"; print stdc(o31[.,3]);
print "Min"; print minc(o31[.,3]); print "Max"; print maxc(o31[.,3]);

o32 = selif(threofrs, threofrs[.,1] .eq 2);
print "Descriptives for 3 offers 2nd res w"; print "Mean"; print meanc(o32[.,3]);
print "Median"; print median(o32[.,3]); print "Std dev"; print stdc(o32[.,3]);
print "Min"; print minc(o32[.,3]); print "Max"; print maxc(o32[.,3]);

o33 = selif(threofrs, threofrs[.,1] .eq 3);
print "Descriptives for 3 offers 3rd res w"; print "Mean"; print meanc(o33[.,3]);
print "Median"; print median(o33[.,3]); print "Std dev"; print stdc(o33[.,3]);
print "Min"; print minc(o33[.,3]); print "Max"; print maxc(o33[.,3]);


o41 = selif(fourofrs, fourofrs[.,1] .eq 1);
print "Descriptives for 4 offers 1st res w"; print "Mean"; print meanc(o41[.,3]);
print "Median"; print median(o41[.,3]); print "Std dev"; print stdc(o41[.,3]);
print "Min"; print minc(o41[.,3]); print "Max"; print maxc(o41[.,3]);

o42 = selif(fourofrs, fourofrs[.,1] .eq 2);
print "Descriptives for 4 offers 2nd res w"; print "Mean"; print meanc(o42[.,3]);
print "Median"; print median(o42[.,3]); print "Std dev"; print stdc(o42[.,3]);
print "Min"; print minc(o42[.,3]); print "Max"; print maxc(o42[.,3]);

o43 = selif(fourofrs, fourofrs[.,1] .eq 3);
print "Descriptives for 4 offers 3rd res w"; print "Mean"; print meanc(o43[.,3]);
print "Median"; print median(o43[.,3]); print "Std dev"; print stdc(o43[.,3]);
print "Min"; print minc(o43[.,3]); print "Max"; print maxc(o43[.,3]);

o44 = selif(fourofrs, fourofrs[.,1] .eq 4);
print "Descriptives for 4 offers 4th res w"; print "Mean"; print meanc(o44[.,3]);
print "Median"; print median(o44[.,3]); print "Std dev"; print stdc(o44[.,3]);
print "Min"; print minc(o44[.,3]); print "Max"; print maxc(o44[.,3]);


o5p1 = selif(fivepls, fivepls[.,1] .eq 1);
print "Descriptives for 5 offers 1st res w"; print "Mean"; print meanc(o5p1[.,3]);
print "Median"; print median(o5p1[.,3]); print "Std dev"; print stdc(o5p1[.,3]);
print "Min"; print minc(o5p1[.,3]); print "Max"; print maxc(o5p1[.,3]);

o5p2 = selif(fivepls, fivepls[.,1] .eq 2);
print "Descriptives for 5 offers 2nd res w"; print "Mean"; print meanc(o5p2[.,3]);
print "Median"; print median(o5p2[.,3]); print "Std dev"; print stdc(o5p2[.,3]);
print "Min"; print minc(o5p2[.,3]); print "Max"; print maxc(o5p2[.,3]);

o5p3 = selif(fivepls, fivepls[.,1] .eq 3);
print "Descriptives for 5 offers 3rd res w"; print "Mean"; print meanc(o5p3[.,3]);
print "Median"; print median(o5p3[.,3]); print "Std dev"; print stdc(o5p3[.,3]);
print "Min"; print minc(o5p3[.,3]); print "Max"; print maxc(o5p3[.,3]);

o5p4 = selif(fivepls, fivepls[.,1] .eq 4);
print "Descriptives for 5 offers 4th res w"; print "Mean"; print meanc(o5p4[.,3]);
print "Median"; print median(o5p4[.,3]); print "Std dev"; print stdc(o5p4[.,3]);
print "Min"; print minc(o5p4[.,3]); print "Max"; print maxc(o5p4[.,3]);

o5p5 = selif(fivepls, fivepls[.,1] .eq 5);
print "Descriptives for 5 offers 5th res w"; print "Mean"; print meanc(o5p5[.,3]);
print "Median"; print median(o5p5[.,3]); print "Std dev"; print stdc(o5p5[.,3]);
print "Min"; print minc(o5p5[.,3]); print "Max"; print maxc(o5p5[.,3]);
*/



load rdata[1334,17] = c:\schotter\waitnoco.txt;
n = rows(rdata);

/* First find out how many of each final offer #. Noffers is a vector of # offers containing one entry for
each completed search. */
Noffers = 0;

i = 1;
do until i > n-1; @ n-1 = 1333 @
  if rdata[i+1,10] <= 1;
    if Noffers[1,1] <= 0;
      Noffers = rdata[i,10];
      else;
      Noffers = Noffers | rdata[i,10];
    endif;
  endif;
  i = i + 1;
endo;

/* Last trial ends at 1334 w/ 2nd offer. */
Noffers = Noffers | 2;
Noffwc = Noffers;

n1 = selif(noffers, noffers .<= 1);
n2 = selif(noffers, noffers .> 1 .AND noffers .<= 2 );
n3 = selif(noffers, noffers .> 2 .AND noffers .<= 3 );
n4 = selif(noffers, noffers .> 3 .AND noffers .<= 4 );
/* call the residual the 5+ category */
print "Number of searches"; print rows(noffers);
print "Number of 1 offer searches"; print rows(n1);
print "Number of 2 offer searches"; print rows(n2);
print "Number of 3 offer searches"; print rows(n3);
print "Number of 4 offer searches"; print rows(n4);
print "Number of 5+ offer searches"; print (rows(noffers) - rows(n1) - rows(n2) - rows(n3) - rows(n4));


/* Next use similar but modified code to identify each search as a 1 offer, 2 offer, 3 offer search etc.
AND keep track of the order and value of each stated reservation wage for calculating means by offer
# in the search and by # of offers. */

offrdata = zeros(n-1,1);	@ will be a vector denoting final # offers in each search to append to rdata @

i = 1;
do until i > n-1;	@ n-1 = 1333 @
  if rdata[i+1,10] <= 1;
    ii = i+1 -  rdata[i,10];
    do until ii > i;			@ do for each of the offers in this search @
      offrdata[ii,1] = rdata[i,10];
      ii = ii + 1;
    endo;
  endif;
  i = i + 1;
endo;

offrdata = offrdata | 2;		@ last row is a two offer trial @

/* Make and print a matrix of offer #, total # offers in trial, & stated res w */
offrdata = rdata[.,10] ~ offrdata ~ rdata[.,13];
@print offrdata;@

oneofr = selif(offrdata, offrdata[.,2] .eq 1);
print "Searches with 1 offer"; print rows(oneofr);
twoofrs = selif(offrdata, offrdata[.,2] .eq 2);
print "Searches with 2 offers"; print rows(twoofrs)/2;
threofrs = selif(offrdata, offrdata[.,2] .eq 3);
print "Searches with 3 offers"; print rows(threofrs)/3;
fourofrs = selif(offrdata, offrdata[.,2] .eq 4);
print "Searches with 4 offers"; print rows(fourofrs)/4;

fivepls = selif(offrdata, offrdata[.,2] .gt 4);


/* Making table entries */
print "Descriptives for 1 offer res w"; print "Mean"; print meanc(oneofr[.,3]);
print "Median"; print median(oneofr[.,3]); print "Std dev"; print stdc(oneofr[.,3]);
print "Min"; print minc(oneofr[.,3]); print "Max"; print maxc(oneofr[.,3]);


o21 = selif(twoofrs, twoofrs[.,1] .eq 1);
print "Descriptives for 2 offers 1st res w"; print "Mean"; print meanc(o21[.,3]);
print "Median"; print median(o21[.,3]); print "Std dev"; print stdc(o21[.,3]);
print "Min"; print minc(o21[.,3]); print "Max"; print maxc(o21[.,3]);

o22 = selif(twoofrs, twoofrs[.,1] .eq 2);
print "Descriptives for 2 offers 2nd res w"; print "Mean"; print meanc(o22[.,3]);
print "Median"; print median(o22[.,3]); print "Std dev"; print stdc(o22[.,3]);
print "Min"; print minc(o22[.,3]); print "Max"; print maxc(o22[.,3]);


o31 = selif(threofrs, threofrs[.,1] .eq 1);
print "Descriptives for 3 offers 1st res w"; print "Mean"; print meanc(o31[.,3]);
print "Median"; print median(o31[.,3]); print "Std dev"; print stdc(o31[.,3]);
print "Min"; print minc(o31[.,3]); print "Max"; print maxc(o31[.,3]);

o32 = selif(threofrs, threofrs[.,1] .eq 2);
print "Descriptives for 3 offers 2nd res w"; print "Mean"; print meanc(o32[.,3]);
print "Median"; print median(o32[.,3]); print "Std dev"; print stdc(o32[.,3]);
print "Min"; print minc(o32[.,3]); print "Max"; print maxc(o32[.,3]);

o33 = selif(threofrs, threofrs[.,1] .eq 3);
print "Descriptives for 3 offers 3rd res w"; print "Mean"; print meanc(o33[.,3]);
print "Median"; print median(o33[.,3]); print "Std dev"; print stdc(o33[.,3]);
print "Min"; print minc(o33[.,3]); print "Max"; print maxc(o33[.,3]);


o41 = selif(fourofrs, fourofrs[.,1] .eq 1);
print "Descriptives for 4 offers 1st res w"; print "Mean"; print meanc(o41[.,3]);
print "Median"; print median(o41[.,3]); print "Std dev"; print stdc(o41[.,3]);
print "Min"; print minc(o41[.,3]); print "Max"; print maxc(o41[.,3]);

o42 = selif(fourofrs, fourofrs[.,1] .eq 2);
print "Descriptives for 4 offers 2nd res w"; print "Mean"; print meanc(o42[.,3]);
print "Median"; print median(o42[.,3]); print "Std dev"; print stdc(o42[.,3]);
print "Min"; print minc(o42[.,3]); print "Max"; print maxc(o42[.,3]);

o43 = selif(fourofrs, fourofrs[.,1] .eq 3);
print "Descriptives for 4 offers 3rd res w"; print "Mean"; print meanc(o43[.,3]);
print "Median"; print median(o43[.,3]); print "Std dev"; print stdc(o43[.,3]);
print "Min"; print minc(o43[.,3]); print "Max"; print maxc(o43[.,3]);

o44 = selif(fourofrs, fourofrs[.,1] .eq 4);
print "Descriptives for 4 offers 4th res w"; print "Mean"; print meanc(o44[.,3]);
print "Median"; print median(o44[.,3]); print "Std dev"; print stdc(o44[.,3]);
print "Min"; print minc(o44[.,3]); print "Max"; print maxc(o44[.,3]);


o5p1 = selif(fivepls, fivepls[.,1] .eq 1);
print "Descriptives for 5 offers 1st res w"; print "Mean"; print meanc(o5p1[.,3]);
print "Median"; print median(o5p1[.,3]); print "Std dev"; print stdc(o5p1[.,3]);
print "Min"; print minc(o5p1[.,3]); print "Max"; print maxc(o5p1[.,3]);

o5p2 = selif(fivepls, fivepls[.,1] .eq 2);
print "Descriptives for 5 offers 2nd res w"; print "Mean"; print meanc(o5p2[.,3]);
print "Median"; print median(o5p2[.,3]); print "Std dev"; print stdc(o5p2[.,3]);
print "Min"; print minc(o5p2[.,3]); print "Max"; print maxc(o5p2[.,3]);

o5p3 = selif(fivepls, fivepls[.,1] .eq 3);
print "Descriptives for 5 offers 3rd res w"; print "Mean"; print meanc(o5p3[.,3]);
print "Median"; print median(o5p3[.,3]); print "Std dev"; print stdc(o5p3[.,3]);
print "Min"; print minc(o5p3[.,3]); print "Max"; print maxc(o5p3[.,3]);

o5p4 = selif(fivepls, fivepls[.,1] .eq 4);
print "Descriptives for 5 offers 4th res w"; print "Mean"; print meanc(o5p4[.,3]);
print "Median"; print median(o5p4[.,3]); print "Std dev"; print stdc(o5p4[.,3]);
print "Min"; print minc(o5p4[.,3]); print "Max"; print maxc(o5p4[.,3]);

o5p5 = selif(fivepls, fivepls[.,1] .eq 5);
print "Descriptives for 5 offers 5th res w"; print "Mean"; print meanc(o5p5[.,3]);
print "Median"; print median(o5p5[.,3]); print "Std dev"; print stdc(o5p5[.,3]);
print "Min"; print minc(o5p5[.,3]); print "Max"; print maxc(o5p5[.,3]);

end;
